%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define subrel	0

Name:           radiotray
Version:        0.6.4
Release:        %mkrel 1
Summary:        Radio Tray is a streaming player for listening to online radios
License:        GPLv3+
Group:          Sound
BuildArch:      noarch 
URL:            http://radiotray.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libpython-devel
BuildRequires:  python-pyxdg
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-gobject-devel
BuildRequires:  pygtk2.0-devel

Requires:       gstreamer0.10-python
Requires:       pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pyxdg
Requires:       python-lxml
Requires:       python-notify
Requires:       python-dbus
Requires:       python-gobject

Requires:       gstreamer0.10-plugins-base
Requires:       gstreamer0.10-plugins-good
Requires:       gstreamer0.10-plugins-bad
Requires:       gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-mms

%if %build_plf
Requires:       gstreamer0.10-faad
%endif

%description
Radio Tray is an online radio streaming player that runs on a Linux system
tray. Its goal is to have the minimum interface possible, making it very
straightforward to use. 
%if %build_plf
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%setup -q

sed -i -e '/^#!\//, 1d' src/radiotray.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install \
	-O1 \
	--skip-build \
	--root %{buildroot}

%find_lang %{name}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS CONTRIBUTORS
%{_bindir}/radiotray
%{_datadir}/radiotray/
%{_datadir}/applications/radiotray.desktop
%{_datadir}/pixmaps/radiotray.png
%{python_sitelib}/radiotray/
%{python_sitelib}/radiotray-%{version}-py%{pyver}.egg-info


%changelog

* Sun Aug 21 2011 wally <wally> 0.6.4-1.0.mga1
+ Revision: 134786
- add subrel for pushing to mga1
- new version 0.6.4
- fix license

* Tue Jul 12 2011 wally <wally> 0.6.3-3.mga2.tainted
+ Revision: 123377
- add missing requires

* Fri Jul 01 2011 wally <wally> 0.6.3-2.mga2.tainted
+ Revision: 117189
- require gstreamer0.10-mms
- clean .spec a bit

* Sun Jun 19 2011 obgr_seneca <obgr_seneca> 0.6.3-1.mga2.tainted
+ Revision: 109783
+ rebuild (emptylog)

* Sun Jun 19 2011 obgr_seneca <obgr_seneca> 0.6.3-1.mga2
+ Revision: 109778
- add Requires for gstreamer-faad, when in tainted
- imported package radiotray


* Thu Jun 09 2011 sisko43 <jyogi75@web.de> - 0.6.3-1.mga1
- Update to latest version

* Thu Sep 09 2010 sisko43 <jyogi75@web.de> - 0.6.1-1mvs2010.1
- Initial release for Mandriva

